Removes duplicate values. [:running:] [:vhs:] [:package:] [:moon:]
> Alternatives: [compare], [map].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.unique(x, [fn]);
// x:  an array
// fn: compare function (a, b)
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 4, 2, 3];
array.unique(x);
// [1, 2, 3, 4]

var x = [1, 2, 3, 4, -2, -3];
array.unique(x, (a, b) => Math.abs(a) - Math.abs(b));
// [1, 2, 3, 4]
```

### references

- [_.uniq(): lodash](https://lodash.com/docs/4.17.15#uniq)
- [Data.List.nub(): Haskell](https://hackage.haskell.org/package/base-4.12.0.0/docs/Data-List.html#v:nub)
- [List-Extra.unique(): elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#unique)
- [List-Extra.uniqueBy(): elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#uniqueBy)

[compare]: https://github.com/nodef/extra-array/wiki/unique
[map]: https://github.com/nodef/extra-array/wiki/uniqueOn
[:running:]: https://npm.runkit.com/@extra-array/unique
[:package:]: https://www.npmjs.com/package/@extra-array/unique
[:moon:]: https://www.npmjs.com/package/@extra-array/unique.min
[:vhs:]: https://asciinema.org/a/319445
